
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-8
%global meadalpha .redhat_8
%global meadrel .1
%global serial 3
%global namedversionrel redhat-8

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jcip-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.redhat-8

Name:           %{?scl_prefix}jcip-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Concurrency in Practice book annotations
Group:          Development/Java

%if %with mead
Source100: jcip-annotations-1.0.0.redhat-8-scm-sources.zip
Source102: jcip-annotations-1.0.0.redhat-8-javadoc.jar
Source103: jcip-annotations-1.0.0.redhat-8.pom
Source104: jcip-annotations-1.0.0.redhat-8.jar
Source105: jcip-annotations-1.0.0.redhat-8-sources.jar
Source106: jcip-annotations-1.0.0.redhat-8-project-sources.tar.gz
%endif

License:        CC-BY 2.5
URL:            http://jcip.net/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jcip-annotations
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jcip-annotations -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jcip-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jcip-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jcip-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jcip-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jcip-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jcip-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jcip-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jcip-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jcip-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} jcip-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jcip-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc 
%{_javadir}/jcip-annotations-%{namedversion}.jar
%{_javadir}/jcip-annotations.jar
%if %with javadoc
%{_javadir}/jcip-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jcip-annotations-javadoc.jar
%endif
%{_javadir}/jcip-annotations-%{namedversion}-sources.jar
%{_javadir}/jcip-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jcip-annotations-%{namedversion}
%{_javadocdir}/jcip-annotations
%endif

%changelog
* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.redhat_8.1
- Re-wrap to include RHEL-6

* Tue May 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.redhat_8.1
- build for EAP 7

* Tue Nov 25 2014 Lin Gao <lgao@redhat.com> - 1.0.0-1.redhat_7.1
- Rebuild to fix invalid OSGI version

* Wed Sep 11 2013 David Walluck <dwalluck@redhat.com> 0:1.0-6
- 1.0.redhat-6
- update Version and Release to new wrapper conventions
- update Summary, License, URL, and %%description from POM

* Tue Jul 02 2013 Fernando Nasser <fnasser@redhat.com> 0:1.0-4.redhat_4
- Deploy the actual artifact LAST so the <type> is jar and not zip

* Tue Feb 12 2013 Fernando Nasser <fnasser@redhat.com> 0:1.0-3.1.redhat_3
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-3
- update Release tag

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-2
- fix build

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.0-1
- release
